> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trophy.so/llms.txt
> Use this file to discover all available pages before exploring further.

# List attributes

> List attributes.



## OpenAPI

````yaml https://admin.trophy.so/v1/openapi get /attributes
openapi: 3.1.0
info:
  title: Trophy
  version: 1.19.0
servers:
  - x-fern-server-name: Admin API
    url: https://admin.trophy.so/v1
    description: Admin API
security: []
paths:
  /attributes:
    servers:
      - url: https://admin.trophy.so/v1
        description: Admin API
    parameters:
      - $ref: '#/components/parameters/TenantId'
    get:
      tags:
        - Admin
      summary: List attributes
      description: List attributes.
      operationId: admin_attributes_list
      parameters:
        - name: limit
          in: query
          description: Number of records to return.
          required: false
          schema:
            type: integer
            minimum: 1
            maximum: 100
            default: 10
          example: 10
        - name: skip
          in: query
          description: Number of records to skip from the start of the list.
          required: false
          schema:
            type: integer
            minimum: 0
            default: 0
          example: 0
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListAttributesResponse'
              examples:
                Attributes list:
                  value:
                    - id: 550e8400-e29b-41d4-a716-446655440000
                      name: Plan
                      key: plan
                      type: user
                    - id: 550e8400-e29b-41d4-a716-446655440001
                      name: Device
                      key: device
                      type: event
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdminErrorBody'
        '422':
          description: Unprocessible Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AdminErrorBody'
      security:
        - ApiKeyAuth: []
      x-codeSamples:
        - lang: javascript
          source: |
            import { TrophyApiClient } from '@trophyso/node';

            const trophy = new TrophyApiClient({
              apiKey: 'YOUR_API_KEY'
            });

            const attributes = await trophy.admin.attributes.list({
              limit: 10,
              skip: 0
            });
        - lang: python
          source: |
            from trophy import TrophyApi

            client = TrophyApi(api_key='YOUR_API_KEY')

            attributes = client.admin.attributes.list(
              limit=10,
              skip=0
            )
        - lang: go
          source: |
            import (
              "context"

              api "github.com/trophyso/trophy-go"
              trophyclient "github.com/trophyso/trophy-go/client"
              "github.com/trophyso/trophy-go/option"
            )

            client := trophyclient.NewClient(
              option.WithApiKey("YOUR_API_KEY"),
            )

            response, err := client.Admin.Attributes.List(context.TODO(), nil)
components:
  parameters:
    TenantId:
      name: Tenant-ID
      in: header
      description: >-
        The tenant identifier for multi-tenant organisations. Required when the
        organisation has multi-tenancy enabled. Pass your own internal customer
        ID for the tenant. Ignored for single-tenant organisations.
      required: false
      schema:
        type: string
      example: customer_12345
  schemas:
    ListAttributesResponse:
      title: ListAttributesResponse
      type: array
      description: A paginated list of attributes.
      items:
        $ref: '#/components/schemas/AdminAttribute'
    AdminErrorBody:
      title: AdminErrorBody
      type: object
      properties:
        error:
          type: string
      required:
        - error
    AdminAttribute:
      title: AdminAttribute
      type: object
      description: An attribute returned from the admin attributes endpoints.
      properties:
        id:
          type: string
          format: uuid
          description: The UUID of the attribute.
        name:
          type: string
          description: The attribute name.
        key:
          type: string
          description: The attribute key.
        type:
          type: string
          enum:
            - user
            - event
          description: The attribute type.
      required:
        - id
        - name
        - key
        - type
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````